| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfDND Struct Reference
Subscriber Features

Do Not Disturb. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
struct unsp__CfDND_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Do Not Disturb.

Do Not Disturb (DND) provides a system-based feature that allows a subscriber, who does not want to be disturbed with calls terminating to them, to have the terminating calls immediately diverted to an announcement indicating the reason for not completing the call to the expected destination. The diversion of the terminating call occurs regardless of the busy/idle status of the DND subscriber. The subscriber with this feature activates the feature to prevent the terminations and deactivates it to allow calls to terminate. Originating calls are still possible when DND is active. This feature interacts with unsp__CfCFSIE, unsp__CfCFDA and unsp__CfVM:

- If CFSIE-DND is assigned and active, and the type of call (internal/ external) has a forward-to DN provisioned, then the call is routed to that forward-to DN.
- Otherwise if CFDA is assigned and active, then the call is routed to that forward-to DN.
- Otherwise if CFVM is assigned and active, then the call is routed to that forward-to DN.
- Otherwise if CFSIE-DA is assigned and active, and the type of call (internal/external) has a forward-to DN provisioned, then the call is routed to that forward-to DN.
- Otherwise, DND intercept treatment will occur.

MP2 command: CFDND [Attributes]

## Member Data Documentation

## ◆ Enabled

unsp__Enabled* unsp__CfDND::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfDND_locPres* unsp__CfDND::Local

Local Presence flags.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfDND::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h